org.apache.poi.xssf.binary

## Class XSSFBSharedStringsTable

- java.lang.Object
- - org.apache.poi.xssf.binary.XSSFBSharedStringsTable

- All Implemented Interfaces:
    SharedStrings

      @Internal
      public class XSSFBSharedStringsTable
      extends java.lang.Object
      implements SharedStrings

  Since:
    3.16-beta3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFBSharedStringsTable(OPCPackage pkg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()` Return an integer representing the total count of strings in the workbook.
    `java.lang.String` | `getEntryAt(int idx)` Deprecated. use `getItemAt` instead
    `RichTextString` | `getItemAt(int idx)` Return a string item by index
    `java.util.List<java.lang.String>` | `getItems()` Deprecated. use `getItemAt` instead
    `int` | `getUniqueCount()` Returns an integer representing the total count of unique strings in the Shared String Table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFBSharedStringsTable

          public XSSFBSharedStringsTable(OPCPackage pkg)
                                  throws java.io.IOException,
                                         org.xml.sax.SAXException

      Parameters:
        `pkg` - The `OPCPackage` to use as basis for the shared-strings table.
      Throws:
        `java.io.IOException` - If reading the data from the package fails.
        `org.xml.sax.SAXException` - if parsing the XML data fails.

  - ### Method Detail

    - #### getItems

          @Removal(version="4.2")
           @Deprecated
          public java.util.List<java.lang.String> getItems()

      Deprecated. use `getItemAt` instead
      Return all the strings. Formatting is ignored.
      Returns:
        a list with all the shared strings.

    - #### getEntryAt

          @Removal(version="4.2")
           @Deprecated
          public java.lang.String getEntryAt(int idx)

      Deprecated. use `getItemAt` instead
      Return the string at a given index. Formatting is ignored.
      Parameters:
        `idx` - index of item to return.
      Returns:
        the item at the specified position in this Shared String table.

    - #### getItemAt

          public RichTextString getItemAt(int idx)

      Description copied from interface: `SharedStrings`
      Return a string item by index
      Specified by:
        `getItemAt` in interface `SharedStrings`
      Parameters:
        `idx` - index of item to return.
      Returns:
        the item at the specified position in this Shared String table.

    - #### getCount

          public int getCount()

      Return an integer representing the total count of strings in the workbook. This count does not include any numbers, it counts only the total of text strings in the workbook.
      Specified by:
        `getCount` in interface `SharedStrings`
      Returns:
        the total count of strings in the workbook

    - #### getUniqueCount

          public int getUniqueCount()

      Returns an integer representing the total count of unique strings in the Shared String Table. A string is unique even if it is a copy of another string, but has different formatting applied at the character level.
      Specified by:
        `getUniqueCount` in interface `SharedStrings`
      Returns:
        the total count of unique strings in the workbook

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.